Subject: bug#7194: 24.0.50; Hard crash when starting many subprocesses in quick succession

From: Steve Purcell <[email-masked]>
Date: Sat, 12 Feb 2011 16:44:52 +0000

On 12 Oct 2010, at 19:20, Steve Purcell wrote:

> On 12 Oct 2010, at 15:06, Eli Zaretskii wrote:
> 
>>> From: Steve Purcell <[email-masked]>
>>> Date: Tue, 12 Oct 2010 14:32:22 +0100
>>> Cc: [email-masked]
>>> 
>>> I recompiled with -g, repeated the crash, and found the line in question =
>>> -- process.c:1767
>>> 
>>> return unbind_to (count, proc);
>> 
>> So this is probably here:
>> 
>>   static Lisp_Object
>>   start_process_unwind (Lisp_Object proc)
>>   {
>>     if (!PROCESSP (proc))
>> 	abort ();
>> 
> 
> 
> Looks likely. I kinda guessed that there might be a missing error check, and that Emacs was simply running out of a limited resource like file descriptors.

At this point, I can no longer reproduce the crash with the latest Emacs, so please feel free to close this bug.